USG20 want to upgrade firmware to latest

Options
ryanchow
ryanchow Posts: 1
edited January 16 in Security
I have a USG 20 in use that I need to upgrade, if possible. Is this still supported or is it out of the question to upgrade to a current firmware? Let me know what other info is needed. 

Model :  ZyWALL USG 20

Current firmware : 3.30(BDQ.9)

Accepted Solution

  • PeterUK
    PeterUK Posts: 2,757  Guru Member
    First Anniversary 10 Comments Friend Collector First Answer
    edited July 2022 Answer ✓
    Options
    The USG20 is EOL and you have the newest firmware 

All Replies

  • PeterUK
    PeterUK Posts: 2,757  Guru Member
    First Anniversary 10 Comments Friend Collector First Answer
    edited July 2022 Answer ✓
    Options
    The USG20 is EOL and you have the newest firmware 
  • Zyxel_Emily
    Zyxel_Emily Posts: 1,296  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    The latest firmware for USG20 is 330BDQ9ITS-WK48-r74988. It is available in New and Release.
  • fbo_7419
    fbo_7419 Posts: 1
    First Comment
    Options

    Hi there :-)

    If have a pretty old Firmware on a ZyWall USG20 » 2.21(BDQ.4) / 1.14 / 2011-05-29 09:29:31 «

    Is it possible to go directly to the leatest mentioned from you @Zyxel_Emily (…USG 20 3.30 BDQ - 330BDQ9ITS-WK48-r74988.zip… )?

    What would be the steps, best practice to assure it's gone work.

    Would this solve the issue I have when I want to access the Webinterface with the "EGDE-Browser"?
    When I try it says:
    "The connection to this website is not secure.192.168.0.1 uses an unsupported protocol.
    ERR_SSL_VERSION_OR_CIPHER_MISMATCH
    "

    …with Firefox it works fine…

    …see Screenshots:

    Thanx in advance for any helpful answers.

    Regards
    Francesco

Security Highlight